tasty-quickcheck-0.3.1: QuickCheck support for the Tasty test framework.

Safe Haskell | None

Test.Tasty.QuickCheck

Description

This module allows to use QuickCheck properties in tasty.

Synopsis

- testProperty :: Testable a => TestName -> a -> TestTree
- newtype QuickCheckTests = QuickCheckTests Int
- newtype QuickCheckReplay = QuickCheckReplay (Maybe (StdGen, Int))
- newtype QuickCheckMaxSize = QuickCheckMaxSize Int
- newtype QuickCheckMaxRatio = QuickCheckMaxRatio Int
- module Test.QuickCheck

# Documentation

testProperty :: Testable a => TestName -> a -> TestTree Source

Create a `Test` for a QuickCheck `Testable` property

newtype QuickCheckTests Source

Number of test cases for QuickCheck to generate

Constructors

QuickCheckTests Int |

Instances

Enum QuickCheckTests |
Eq QuickCheckTests |
Integral QuickCheckTests |
Num QuickCheckTests |
Ord QuickCheckTests |
Real QuickCheckTests |
Typeable QuickCheckTests |
IsOption QuickCheckTests |

newtype QuickCheckReplay Source

Replay a previous test using a replay token

Constructors

QuickCheckReplay (Maybe (StdGen, Int)) |

Instances

Typeable QuickCheckReplay |
IsOption QuickCheckReplay |

newtype QuickCheckMaxSize Source

Size of the biggest test cases

Constructors

QuickCheckMaxSize Int |

Instances

Enum QuickCheckMaxSize |
Eq QuickCheckMaxSize |
Integral QuickCheckMaxSize |
Num QuickCheckMaxSize |
Ord QuickCheckMaxSize |
Real QuickCheckMaxSize |
Typeable QuickCheckMaxSize |
IsOption QuickCheckMaxSize |

newtype QuickCheckMaxRatio Source

Maximum number of of discarded tests per successful test before giving up.

Constructors

QuickCheckMaxRatio Int |

Instances

Enum QuickCheckMaxRatio |
Eq QuickCheckMaxRatio |
Integral QuickCheckMaxRatio |
Num QuickCheckMaxRatio |
Ord QuickCheckMaxRatio |
Real QuickCheckMaxRatio |
Typeable QuickCheckMaxRatio |
IsOption QuickCheckMaxRatio |

module Test.QuickCheck